Job Handles
===========

.. py:currentmodule:: ornithology

Handles
-------

.. autoclass:: Handle
   :members:

.. autoclass:: ConstraintHandle
   :members:

.. autoclass:: ClusterHandle
   :members:

State Tracking
--------------

.. autoclass:: EventLog
   :members:

.. autoclass:: ClusterState
   :members:

